Associate a customer with a chat
POST
/openapi/chat/customer/{chatId}/{customerId}
const url = 'https://open-api.replyco.com/openapi/chat/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/chat/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Links a customer to a chat conversation. This is useful for identifying anonymous chat visitors or updating customer associations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”chatId
required
string format: uuid
Chat ID to associate customer with
customerId
required
string format: uuid
Customer ID to link to the chat
Responses
Section titled “Responses”Customer was successfully associated with the chat
User is not authenticated or authorized
Chat or customer ID was not found